[csw-devel] SF.net SVN: gar:[9873] csw/mgar/pkg/isaexec/trunk

theferret at users.sourceforge.net theferret at users.sourceforge.net
Sat May 15 00:03:23 CEST 2010


Revision: 9873
          http://gar.svn.sourceforge.net/gar/?rev=9873&view=rev
Author:   theferret
Date:     2010-05-14 22:03:23 +0000 (Fri, 14 May 2010)

Log Message:
-----------
and here's the full working set

Modified Paths:
--------------
    csw/mgar/pkg/isaexec/trunk/Makefile
    csw/mgar/pkg/isaexec/trunk/pkginfo
    csw/mgar/pkg/isaexec/trunk/prototype

Added Paths:
-----------
    csw/mgar/pkg/isaexec/trunk/BUILD.NOTES
    csw/mgar/pkg/isaexec/trunk/copyright
    csw/mgar/pkg/isaexec/trunk/postinstall
    csw/mgar/pkg/isaexec/trunk/postremove

Added: csw/mgar/pkg/isaexec/trunk/BUILD.NOTES
===================================================================
--- csw/mgar/pkg/isaexec/trunk/BUILD.NOTES	                        (rev 0)
+++ csw/mgar/pkg/isaexec/trunk/BUILD.NOTES	2010-05-14 22:03:23 UTC (rev 9873)
@@ -0,0 +1,12 @@
+This package doesnt need much in the way of "building".
+This package is a hack around the issue that we dont have legal right
+to redistribute isaexec.
+
+You can almost just do pkgmk!
+
+You can use createpkg -r . if you like though.
+
+but remember to rename (SunOS5.8) and uncompress it!
+
+Note: DO NOT COMPRESS/gzip the package!
+ (so gzip can use it :-)

Modified: csw/mgar/pkg/isaexec/trunk/Makefile
===================================================================
--- csw/mgar/pkg/isaexec/trunk/Makefile	2010-05-14 21:56:18 UTC (rev 9872)
+++ csw/mgar/pkg/isaexec/trunk/Makefile	2010-05-14 22:03:23 UTC (rev 9873)
@@ -11,6 +11,8 @@
 
 package:	$(STDFILE) $(FILES)
 	$(CREATEPKG)
+	@echo just for isaexec, we need to UNgzip now...
+	gunzip *.pkg.gz  
 	touch package
 
 build:
@@ -19,8 +21,8 @@
 	cswstage
 
 clean:
-	rm *.pkg.gz
+	rm -f *.pkg.gz package
 
 STDFILES=pkginfo copyright prototype
 
-FILES=YourFilesHere
+FILES=postinstall postremove

Added: csw/mgar/pkg/isaexec/trunk/copyright
===================================================================
--- csw/mgar/pkg/isaexec/trunk/copyright	                        (rev 0)
+++ csw/mgar/pkg/isaexec/trunk/copyright	2010-05-14 22:03:23 UTC (rev 9873)
@@ -0,0 +1,5 @@
+This interesting packaging hack is copyrighted by Philip Brown, 
+phil at bolthole.com
+You may copy, install, and otherwise redistribute this package as you like, 
+without having to pay any fee, so long as it remain unchanged, and this notice 
+remain intact as the copyright notice.

Modified: csw/mgar/pkg/isaexec/trunk/pkginfo
===================================================================
--- csw/mgar/pkg/isaexec/trunk/pkginfo	2010-05-14 21:56:18 UTC (rev 9872)
+++ csw/mgar/pkg/isaexec/trunk/pkginfo	2010-05-14 22:03:23 UTC (rev 9873)
@@ -1 +1,8 @@
-ERROR: need name of software
+PKG=CSWisaexec
+NAME=isaexec - sneaky wrapper around Sun isaexec
+VERSION=0.2,REV=2009.03.26
+ARCH=all
+CATEGORY=system
+VENDOR=http://www.opencsw.org/ packaged for CSW by Philip Brown
+HOTLINE=http://www.opencsw.org/bugtrack/
+EMAIL=phil at opencsw.org

Added: csw/mgar/pkg/isaexec/trunk/postinstall
===================================================================
--- csw/mgar/pkg/isaexec/trunk/postinstall	                        (rev 0)
+++ csw/mgar/pkg/isaexec/trunk/postinstall	2010-05-14 22:03:23 UTC (rev 9873)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# install script to copy over sun's isaexec, to
+# /opt/csw/bin
+# The reasons for this being:
+#  1. we dont have permission to redistribute it
+#  2. it has to be used via hard links
+#  3. odds are, /opt/csw will be on a different filesystem than /usr/lib
+#
+
+# Warning: Note that we may be installing to a zone, with shared
+#  read-only /opt/csw.
+
+if test -f $PKG_INSTALL_ROOT/opt/csw/bin/isaexec ; then
+	echo Skipping copy of isaexec since /opt/csw/bin/isaexec exists
+else
+	echo Copying $PKG_INSTALL_ROOT/usr/lib/isaexec to $PKG_INSTALL_ROOT/opt/csw/bin/isaexec
+	cp -p $PKG_INSTALL_ROOT/usr/lib/isaexec $PKG_INSTALL_ROOT/opt/csw/bin/isaexec || exit 1
+fi
+
+installf $PKGINST /opt/csw/bin/isaexec f
+installf -f $PKGINST


Property changes on: csw/mgar/pkg/isaexec/trunk/postinstall
___________________________________________________________________
Added: svn:executable
   + *

Added: csw/mgar/pkg/isaexec/trunk/postremove
===================================================================
--- csw/mgar/pkg/isaexec/trunk/postremove	                        (rev 0)
+++ csw/mgar/pkg/isaexec/trunk/postremove	2010-05-14 22:03:23 UTC (rev 9873)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# remove script for CSW copy of sun's isaexec
+
+filename=`removef $PKGINST /opt/csw/bin/isaexec`
+
+if [ "$filename" = "" ] ; then
+	echo "Note: /opt/csw/bin/isaexec not clear for removal."
+	echo "Not removing"
+	exit 0
+fi
+
+# even if we are in a zone, just ignore failure here.
+rm -f $BASEDIR/opt/csw/bin/isaexec 2>/dev/null
+
+removef -f $PKGINST


Property changes on: csw/mgar/pkg/isaexec/trunk/postremove
___________________________________________________________________
Added: svn:executable
   + *

Modified: csw/mgar/pkg/isaexec/trunk/prototype
===================================================================
--- csw/mgar/pkg/isaexec/trunk/prototype	2010-05-14 21:56:18 UTC (rev 9872)
+++ csw/mgar/pkg/isaexec/trunk/prototype	2010-05-14 22:03:23 UTC (rev 9873)
@@ -1,3 +1,6 @@
 i pkginfo
-i depend
 i copyright
+i postinstall
+i postremove
+d none /opt/csw 0755 root bin
+d none /opt/csw/bin 0755 root bin


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the devel mailing list